Bug 453853 - Review Request: globus-gsi-openssl-error - Globus Toolkit - Globus OpenSSL Error Handling
Review Request: globus-gsi-openssl-error - Globus Toolkit - Globus OpenSSL Er...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 453850 453851
Blocks: globus 453855 453856 453857 453858 453861 453862 453865 467237
  Show dependency treegraph
 
Reported: 2008-07-02 18:12 EDT by Mattias Ellert
Modified: 2009-05-12 00:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.14-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2008-07-02 18:12:25 EDT
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-openssl-error.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-openssl-error-0.14-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gsi-openssl-error package contains:
Globus OpenSSL Error Handling

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-common-devel >= 3
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4
Comment 3 Mattias Ellert 2009-03-15 19:58:29 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-openssl-error-0.14-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-openssl-error.spec
Comment 4 Orcan Ogetbil 2009-04-13 02:24:19 EDT
Since this package is almost identical to bug 467235, most of my suggestions/objections in that bug apply to this one. Could you update this package accordingly, so I'll take the review from that point? (This probably also applies to most of the other globus packages.)
Comment 5 Mattias Ellert 2009-04-17 09:43:57 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-openssl-error-0.14-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-openssl-error.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 6 Orcan Ogetbil 2009-04-21 16:53:54 EDT
I see that you updated all the packages with the license files in the tarballs already. That's good.

I checked this package and found no problems. Also I made a rawhide build in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1312177
I downloaded and tested the resulting RPMs. Everything seems good.

-----------------------------------------------------------
This package (globus-gsi-openssl-error) is APPROVED by oget
-----------------------------------------------------------

We are almost out of the bottle neck :)
Comment 7 Orcan Ogetbil 2009-04-21 16:56:44 EDT
Just build this in the rawhide so I can jump on the next one.
Comment 8 Mattias Ellert 2009-04-22 01:01:25 EDT
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gsi-openssl-error
Short Description: Globus Toolkit - Globus OpenSSL Error Handling
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 9 Kevin Fenzi 2009-04-23 12:20:14 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-24 10:21:11 EDT
globus-gsi-openssl-error-0.14-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-1.fc10
Comment 11 Fedora Update System 2009-04-24 10:21:17 EDT
globus-gsi-openssl-error-0.14-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-1.fc9
Comment 12 Fedora Update System 2009-04-27 17:29:52 EDT
globus-gsi-openssl-error-0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-04-27 17:34:16 EDT
globus-gsi-openssl-error-0.14-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-08 09:55:08 EDT
globus-gsi-openssl-error-0.14-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gsi-openssl-error-0.14-2.fc11
Comment 15 Fedora Update System 2009-05-12 00:03:14 EDT
globus-gsi-openssl-error-0.14-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.